SSL_SET_VERIFY_RESULT(3)

NAME
SSL_set_verify_result - override result of peer certificate verification

SYNOPSIS
#include <openssl/ssl.h>
void
SSL_set_verify_result(SSL *ssl, long verify_result);

DESCRIPTION
SSL_set_verify_result() sets verify_result of the object ssl to be the result of the verification of the X509 certificate presented by the peer, if any.

SSL_set_verify_result() overrides the verification result. It only changes the verification result of the ssl object. It does not become part of the established session, so if the session is to be reused later, the original value will reappear.

The valid codes for verify_result are documented in openssl(1).

RETURN VALUES
SSL_set_verify_result() does not provide a return value.

SEE ALSO
openssl(1), ssl(3), SSL_get_peer_certificate(3), SSL_get_verify_result(3)

HISTORY
SSL_set_verify_result() appeared before SSLeay 0.8 and has been available since OpenBSD 2.4.